Package org.apache.nutch.protocol.httpclient

# Class HttpAuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.nutch.protocol.httpclient.HttpAuthenticationException

All Implemented Interfaces:
  `Serializable`

public class HttpAuthenticationException extends Exception
Can be used to identify problems during creation of Authentication objects. In the future it may be used as a method of collecting authentication failures during Http protocol transfer in order to present the user with credentials required during a future fetch.

Author:
  Matt Tencati
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpAuthenticationException()`
  Constructs a new exception with null as its detail message.
  `HttpAuthenticationException(String message)`
  Constructs a new exception with the specified detail message.
  `HttpAuthenticationException(String message, Throwable cause)`
  Constructs a new exception with the specified message and cause.
  `HttpAuthenticationException(Throwable cause)`
  Constructs a new exception with the specified cause and detail message from given clause if it is not null.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpAuthenticationException

    public HttpAuthenticationException()
    Constructs a new exception with null as its detail message.

  - ### HttpAuthenticationException

    public HttpAuthenticationException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

  - ### HttpAuthenticationException

    public HttpAuthenticationException(String message, Throwable cause)
    Constructs a new exception with the specified message and cause.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
      `cause` - the cause (use `Throwable.getCause()` to retrieve the cause)

  - ### HttpAuthenticationException

    public HttpAuthenticationException(Throwable cause)
    Constructs a new exception with the specified cause and detail message from given clause if it is not null.
    Parameters:
      `cause` - the cause (use `Throwable.getCause()` to retrieve the cause)